Problem with VM migrate

Hi.
I have 2 KVM nodes on LVM.
I’m testing HOST_HOOK and, when one my nodes is not available, running the hook and in logs i see:

Message received: LOG I 84 Command execution failed (exit code: 5): /var/lib/one/remotes/tm/fs_lvm/mv node1:/var/lib/one//datastores/121/84/disk.0 node2:/var/lib/one//datastores/121/84/disk.0 84 119
Message received: LOG E 84 mv: Command " set -ex -o pipefail
Message received: LOG I 84 if [ -b “/dev/vg-one-121/lv-one-84-0” ]; then
Message received: LOG I 84 sync
Message received: LOG I 84 sudo lvscan
Message received: LOG I 84 sudo lvchange -an “/dev/vg-one-121/lv-one-84-0”
Message received: LOG I 84 fi
Message received: LOG I 84
Message received: LOG I 84 rm -f “/var/lib/one/datastores/121/84/.host” || :" failed: ssh: connect to host node1 26: No route to host
Message received: LOG E 84 Error deactivating disk /var/lib/one/datastores/121/84/disk.0
Message received: TRANSFER FAILURE 84 Error deactivating disk /var/lib/one/datastores/121/84/disk.0

Why, when hook is starting, it run command on node1 which is not available and i get the error?

Or, when I only stop libvirtd i get the error:

Message received: LOG I 84 Command execution failed (exit code: 5): /var/lib/one/remotes/tm/fs_lvm/mv node1:/var/lib/one//datastores/121/84/disk.0 node2:/var/lib/one//datastores/121/84/disk.0 84 119
Message received: LOG E 84 mv: Command " set -ex -o pipefail
Message received: LOG I 84 if [ -b “/dev/vg-one-121/lv-one-84-0” ]; then
Message received: LOG I 84 sync
Message received: LOG I 84 sudo lvscan
Message received: LOG I 84 sudo lvchange -an “/dev/vg-one-121/lv-one-84-0”
Message received: LOG I 84 fi
Message received: LOG I 84
Message received: LOG I 84 rm -f “/var/lib/one/datastores/121/84/.host” || :" failed: Warning: Permanently added ‘[node1]:26,[10.2.2.19]:26’ (ECDSA) to the list of known hosts.
Message received: LOG I 84 + ‘[’ -b /dev/vg-one-121/lv-one-84-0 ‘]’
Message received: LOG I 84 + sync
Message received: LOG I 84 + sudo lvscan
Message received: LOG I 84 + sudo lvchange -an /dev/vg-one-121/lv-one-84-0
Message received: LOG I 84 Logical volume vg-one-121/lv-one-84-0 in use.
Message received: LOG E 84 Error deactivating disk /var/lib/one/datastores/121/84/disk.0
Message received: TRANSFER FAILURE 84 Error deactivating disk /var/lib/one/datastores/121/84/disk.0

Why is it happening? Why hook run a command on a node which is not available or can’t deactivate lvm, when a service - libvirtd stopped?